Create a chatbot. The secret key is returned ONCE.
curl --request POST \
--url https://api.pineyard.ai/chatbots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"systemPrompt": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', systemPrompt: '<string>'})
};
fetch('https://api.pineyard.ai/chatbots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/chatbots"
payload = {
"name": "<string>",
"systemPrompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"systemPrompt": "<string>",
"model": "<string>",
"status": "<string>",
"temperature": 123,
"maxOutputTokens": 123,
"rateLimitPerMinute": 123,
"secretKeyLast4": "<string>",
"knowledgeBaseIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"secret": "<string>"
}Chatbots
Create a chatbot. The secret key is returned ONCE.
POST
/
chatbots
Create a chatbot. The secret key is returned ONCE.
curl --request POST \
--url https://api.pineyard.ai/chatbots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"systemPrompt": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', systemPrompt: '<string>'})
};
fetch('https://api.pineyard.ai/chatbots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/chatbots"
payload = {
"name": "<string>",
"systemPrompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"systemPrompt": "<string>",
"model": "<string>",
"status": "<string>",
"temperature": 123,
"maxOutputTokens": 123,
"rateLimitPerMinute": 123,
"secretKeyLast4": "<string>",
"knowledgeBaseIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"secret": "<string>"
}Required scope:
chatbots.edit
Requires chatbots enabled on your account. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json
Required string length:
1 - 120Required string length:
1 - 20000Required string length:
1 - 120Required range:
0 <= x <= 2Required range:
64 <= x <= 8192Required range:
1 <= x <= 10000Maximum array length:
50Minimum string length:
1Response
Created

